| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLException Class Reference

`#include <XMLException.hpp>`

Inheritance diagram for XMLException

[legend]
List of all members.

## Public Methods

virtual | ~XMLException ()
virtual const XMLCh* | getType ()const=0
XMLExcepts::Codes | getCode ()const
const XMLCh* | getMessage ()const
const char* | getSrcFile ()const
unsigned int | getSrcLine ()const
XMLErrorReporter::ErrTypes | getErrorType ()const
void | setPosition (const char *const file,const unsigned int line)
| XMLException ()
| XMLException (const char *const srcFile,const unsigned int srcLine)
| XMLException (const XMLException &toCopy)
void | operator= (const XMLException &toAssign)

## Static Public Methods

void | reinitMsgMutex ()
void | reinitMsgLoader ()

## Protected Methods

void | loadExceptText (const XMLExcepts::Codes toLoad)
void | loadExceptText (const XMLExcepts::Codes toLoad,const XMLCh *const text1,const XMLCh *const text2=0,const XMLCh *const text3=0,const XMLCh *const text4=0)
void | loadExceptText (const XMLExcepts::Codes toLoad,const char *const text1,const char *const text2=0,const char *const text3=0,const char *const text4=0)

## Constructor & Destructor Documentation

virtual XMLException::~XMLException ( | )`[virtual]`

XMLException::XMLException ( | )

XMLException::XMLException ( | const char *const srcFile,
| const unsigned int srcLine )

XMLException::XMLException ( | const XMLException & toCopy )

## Member Function Documentation

XMLExcepts::Codes XMLException::getCode ( | ) const

XMLErrorReporter::ErrTypes XMLException::getErrorType ( | ) const

const XMLCh * XMLException::getMessage ( | ) const

const char * XMLException::getSrcFile ( | ) const

unsigned int XMLException::getSrcLine ( | ) const

virtual const XMLCh* XMLException::getType ( | ) const`[pure virtual]`

void XMLException::loadExceptText ( | const XMLExcepts::Codes toLoad,
| const char *const text1,
| const char *const text2 = 0,
| const char *const text3 = 0,
| const char *const text4 = 0 )`[protected]`

void XMLException::loadExceptText ( | const XMLExcepts::Codes toLoad,
| const XMLCh *const text1,
| const XMLCh *const text2 = 0,
| const XMLCh *const text3 = 0,
| const XMLCh *const text4 = 0 )`[protected]`

void XMLException::loadExceptText ( | const XMLExcepts::Codes toLoad )`[protected]`

void XMLException::operator= ( | const XMLException & toAssign )

void XMLException::reinitMsgLoader ( | )`[static]`

void XMLException::reinitMsgMutex ( | )`[static]`

void XMLException::setPosition ( | const char *const file,
| const unsigned int line )

The documentation for this class was generated from the following file:

- XMLException.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.